package routes

import (
	"nearle/facade"

	"github.com/gofiber/fiber/v2"
)

func RegisterPartnerRoutes(api fiber.Router, f *facade.Facade) {

	partner := api.Group("/v1/web/partners")

	partner.Get("/getriders", f.PartnerController.GetActiveRiders)
	partner.Get("/getpartners", f.PartnerController.GetPartners)
	partner.Get("/getridershifts", f.PartnerController.GetRiderShifts)
	partner.Get("/getlocations", f.PartnerController.GetLocationConfig)
	partner.Get("/getriderlogs", f.PartnerController.GetRiderLogs)
	partner.Get("/getfleetsummary", f.PartnerController.GetFleetSummary)

	partner = api.Group("/v1/mob/partners")

	partner.Get("/getpartners", f.PartnerController.GetPartners)
	partner.Get("/getriderlogs", f.PartnerController.GetRiderLogs)
	partner.Get("/getriderinfo", f.PartnerController.GetRiderInfo)
	partner.Get("/getriders", f.PartnerController.GetActiveRiders)

}
